# Get Available Surveys

This method returns all possible available surveys that can be shown to the user. A list of survey objects is returned by this API.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
Surveys.availableSurveys { (surveys) in
            
        }
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
[LCQSurveys availableSurveysWithCompletionHandler: ^(NSArray<LCQSurvey *> *validSurveys) {
        
    }];
```

{% endtab %}

{% tab title="And - Java" %}

```java
Surveys.getAvailableSurveys();
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
Surveys.getAvailableSurveys()
```

{% endtab %}

{% tab title="RN" %}

```javascript
const availableSurveys = await Surveys.getAvailableSurveys();
```

{% endtab %}

{% tab title="Flutter" %}

```dart
final titles = Surveys.getAvailableSurveys();
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-surveys/check-for-available-surveys.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
